Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
cecpq1.h File Reference
`#include <botan/secmem.h>`
`#include <botan/newhope.h>`

Go to the source code of this file.

## Classes
class | Botan::CECPQ1_key

## Namespaces
| Botan

## Functions
void BOTAN_DLL | Botan::CECPQ1_accept (uint8_t *shared_key, uint8_t *accept_message, const uint8_t *offer_message, RandomNumberGenerator &rng)
void BOTAN_DLL | Botan::CECPQ1_finish (uint8_t *shared_key, const CECPQ1_key &offer_key, const uint8_t *accept_message)
void BOTAN_DLL | Botan::CECPQ1_offer (uint8_t *offer_message, CECPQ1_key *offer_key_output, RandomNumberGenerator &rng)